Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum1 -- CercaGlobale -- Informativa su Cookie e Privacy


//Removed by EUCookieLaw Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
[RISOLTO] Problema tearing
#1
Salve,
facendo questo test vedo le varie bande nere che si muovono a destra e sinistra spezzettate (effetto tearing, appunto). Io uso Kubuntu 14.04.3 e queste sono alcune informazioni che forse vi possono servire:
Codice:
luca@kubuntu:~$ inxi -G                                
Graphics:  Card: Advanced Micro Devices [AMD/ATI] Richland [Radeon HD 8570D]
          X.Org: 1.17.1 drivers: ati,radeon (unloaded: fbdev,vesa) Resolution: 1600x900@60.0hz
          GLX Renderer: Gallium 0.4 on AMD ARUBA GLX Version: 3.0 Mesa 10.5.9
Codice:
luca@kubuntu:~$ aptitude search xserver-xorg-video-ati xserver-xorg-video-radeon libgl1-mesa-glx libgl1-mesa-dri xserver-xorg-core fglrx | grep ^i
i A libgl1-mesa-dri-lts-vivid       - free implementation of the OpenGL API -- D
i A libgl1-mesa-glx-lts-vivid       - free implementation of the OpenGL API -- G
i   xserver-xorg-core-lts-vivid     - Xorg X server - core server              
i A xserver-xorg-video-ati-lts-vivi - X.Org X server -- AMD/ATI display driver w
i A xserver-xorg-video-radeon-lts-v - X.Org X server -- AMD/ATI Radeon display d

Mi domandavo: se volessi installare i driver proprietari AMD Catalyst, dovrei disinstallare tutti gli altri pacchetti in uso (xserver-xorg-video-ati xserver-xorg-video-radeon libgl1-mesa-glx libgl1-mesa-dri xserver-xorg-core)? E poi: per farli aggiornare ogni volta che il kernel viene aggiornato va bene il pacchetto dkms?
Distro: Ubuntu 16.04 LTS x86_64 -- DE: MATE 1.12.1
Cita messaggio
Grazie da:
#2
Non hai la sezione driver aggiuntivi che ti propone il sistema operativo, ( su kubuntu mi pare sia nelle impostazioni di sistema ) ?
Nel caso è preferibile farlo da lì, sarà il sistema stesso a provvedere alla disinstallazione degli eventuali pacchetti che confliggono. Manualmente potresti anche disinstallare qualcosa che serve al sistema stesso.

Altrimenti se trovi dei driver proprietari da scaricare sul sito del produttore, farei la routine suggerita e se ben funzionanti, bloccherei il kernel, se possibile dato che ubuntu fa molte difficoltà.

Il dkms serve per i driver già presenti nel kernel o per programmi come virtualbox che hanno un pacchetto apposito che si interfaccia con il dkms per ricompilare i suoi driver. Al momento non sono a conoscenza se un sistema del genere è presente nei driver video proprietari, in genere ho visto che ubuntu ( se non è cambiato nelle ultime versioni ) ne consiglia la disinstallazione prima dell'aggiornamento ad un kernel nuovo, sia pur alla patch successiva.
Cita messaggio
Grazie da:
#3
(11-02-2016,18:29 )supertuxkart Ha scritto: Non hai la sezione driver aggiuntivi che ti propone il sistema operativo, ( su kubuntu mi pare sia nelle impostazioni di sistema ) ?
Nel caso è preferibile farlo da lì, sarà il sistema stesso a provvedere alla disinstallazione degli eventuali pacchetti che confliggono. Manualmente potresti anche disinstallare qualcosa che serve al sistema stesso.
Anzitutto, grazie della risposta.
Sì, l'ho fatto da lì infatti, ma non risolvo il problema in oggetto, per quello avevo intenzione di installare i driver proprietari. Nell'immagine in allegato io scelgo la terza opzione (driver raccomandato).

[Immagine: http://thumbnails105.imagebam.com/46457/...563640.jpg]
Distro: Ubuntu 16.04 LTS x86_64 -- DE: MATE 1.12.1
Cita messaggio
Grazie da:
#4
Hai provato anche gli fglrx per vedere come vanno, dato che te li propone ?

I proprietari potrebbero dare i problemi che ho detto sopra.
Cita messaggio
Grazie da:
#5
No, li provo adesso e ti dico.
Distro: Ubuntu 16.04 LTS x86_64 -- DE: MATE 1.12.1
Cita messaggio
Grazie da:
#6
Fatto. Ho selezionato i driver fglrx e subito dopo il download ho provato ad aprire l'amd ccc, ma mi dava errore, perciò ho riavviato. Dopo il riavvio non mi ha doto più quell'errore e ho potuto attivare il desktop senza tearing che, a quanto pare, funziona.  Tongue
Devo disinstallare i vecchi driver che sono ancora nel sistema?
Codice:
luca@kubuntu:~$ aptitude search xserver-xorg-video-ati xserver-xorg-video-radeon libgl1-mesa-glx libgl1-mesa-dri xserver-xorg-core fglrx | grep ^i
i   fglrx                           - Video driver for the AMD graphics accelera
i A fglrx-amdcccle                  - Catalyst Control Center per gli accelerato
i A fglrx-core                      - Minimal video driver for the AMD graphics
i A libgl1-mesa-dri-lts-vivid       - free implementation of the OpenGL API -- D
i A libgl1-mesa-glx-lts-vivid       - free implementation of the OpenGL API -- G
i   xserver-xorg-core-lts-vivid     - Xorg X server - core server              
i A xserver-xorg-video-ati-lts-vivi - X.Org X server -- AMD/ATI display driver w
i A xserver-xorg-video-radeon-lts-v - X.Org X server -- AMD/ATI Radeon display d
Con i driver fglrx (proprietari) che ho installato tramite repo come mi devo comportare in caso di aggiornamento del kernel? E vanno configurati con comandi tipo 
Codice:
aticonfig --initial
?
Scusa le domande che magari per te saranno banani, ma voglio imparare. Grazie.  Smile
Distro: Ubuntu 16.04 LTS x86_64 -- DE: MATE 1.12.1
Cita messaggio
Grazie da:
#7
La domanda non è banale per niente, ma invero complessa.

Per i driver proprietari anche se nei repo di ubuntu, il consiglio che ho sempre trovato è quello disinstallarli prima di aggiornare il kernel come ho scritto sopra e reinstallarli. Essendo presenti nel Gestore Pacchetti penso che sia la cosa migliore, dato che ti evita workaround e errori che potrebbero scappare facendolo manualmente.

Inoltre c'è da considerare che cambiando kernel potrebbe essere che non funzionino più quegli stessi driver perché vengono installate nuove versioni dei pacchetti, questo è un esempio di quello che si trova :
"Attenzione i driver video proprietari potrebbero non funzionare con questa versione del kernel. Bisogna ricompilare o installare ( se il cambio di kernel porta ad una nuova versione degli stessi driver video ) i driver video dopo l'aggiornamento del kernel.
Quindi secondo me è sempre meglio usare la strada più praticabile.

Non per dire, ma qualche giorno fa un utente ha aggiornato il kernel dalla 4.4 alla 4.4.1 ed ha smesso di funzionargli correttamente una periferica.

Io preferisco Linux Mint che usa una politica più conservativa, il kernel viene aggiornato solo l'utente ne ha necessità di farlo.
Cita messaggio
Grazie da:
#8
Grazie della risposta.
Quindi, prima di ogni nuova installazione disinstallo il pacchetto fglrx, aggiorno, e lo reinstallo. 
E per quanto riguarda i vari mesa, xorg e compagnia bella, li lascio installati o li rimuovo?
Distro: Ubuntu 16.04 LTS x86_64 -- DE: MATE 1.12.1
Cita messaggio
Grazie da:
#9
Potresti anche bloccare il kernel. Con i comandi

Codice:
dpkg --get-selections | grep linux-image
e

Codice:
dpkg --get-selections | grep linux-headers
identifichi i pacchetti, poi da synaptic (se non ce l'hai ti consiglio di installarlo) li cerchi, li evidenzi con un click e dal menù pacchetto scegli blocca versione.
Ps. non serve disinstallare gli altri driver.
Cita messaggio
Grazie da:
#10
Come ha detto eu66.

Se blocchi il kernel, al momento in cui farai gli aggiornamenti di perverranno dei messaggi i quali ti avvertono che il sistema verrà aggiornato solo parzialmente a meno che tu non voglia aggiornarlo del tutto.
Cita messaggio
Grazie da:


Vai al forum: